PHP Manual
Prev |  | Next

# SAMConnection->unsubscribe()

(no version information, might be only in CVS)

SAMConnection->unsubscribe() -- Cancel a subscription to a specified topic.

## Description

class SAMConnection {
bool unsubscribe ( string subscriptionId [, string targetTopic] )
}

The "unsubscribe" method is used to delete an existing subscription to a specified topic.

## Parameters

`subscriptionId`

  The identifier of an existing subscription as returned by a call to the subscribe method.

## Return Values

This method returns `FALSE` if an error occurs.

## Examples

Example 1. Delete a subscription

`<?php if (!$conn->unsubscribe($subid)) { // The unsubscribe failed! echo "Unsubscribe failed ($conn->errno) $conn->error"; } ?>`

## See Also

SAMConnection->subscribe()

Prev | Home | Next
SAMConnection->subscribe() | Up | SAMMessage->body